VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::SourceTypes::Info Class Reference

The `Source.Info` class contains the metadata source information. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetDescription ()
| English language human readable description of the source.
void | SetDescription (string description)
| English language human readable description of the source.
vmware.vapi.metadata.SourceType | Get_Type ()
| The type ( FILE, REMOTE) of the metadata source.
void | SetType (vmware.vapi.metadata.SourceType type)
| The type ( FILE, REMOTE) of the metadata source.
string | GetFilepath ()
| Absolute file path of the CLI metadata file that has the CLI information about one component.
void | SetFilepath (string filepath)
| Absolute file path of the CLI metadata file that has the CLI information about one component.
global::System.Uri | GetAddress ()
| Connection information for the remote server.
void | SetAddress (global::System.Uri address)
| Connection information for the remote server.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Source.Info` class contains the metadata source information.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::SourceTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::cli::SourceTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::cli::SourceTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::cli::SourceTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::cli::SourceTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::cli::SourceTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::cli::SourceTypes::Info::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.SourceType vmware::vapi::metadata::cli::SourceTypes::Info::Get_Type | ( |  | ) | `[inline]`

The type ( FILE, REMOTE) of the metadata source.

global::System.Uri vmware::vapi::metadata::cli::SourceTypes::Info::GetAddress | ( |  | ) | `[inline]`

Connection information for the remote server.

This should be in the format http(s)://IP:port/namespace.

The remote server must contain the interfaces in the vmware.vapi.metadata.cli namespace. It must expose CLI information of one or more components.

string vmware::vapi::metadata::cli::SourceTypes::Info::GetDescription | ( |  | ) | `[inline]`

English language human readable description of the source.

string vmware::vapi::metadata::cli::SourceTypes::Info::GetFilepath | ( |  | ) | `[inline]`

Absolute file path of the CLI metadata file that has the CLI information about one component.

The `filepath` is the path to the file in the server's filesystem.

override int vmware::vapi::metadata::cli::SourceTypes::Info::GetHashCode | ( |  | ) | `[inline]`

void vmware::vapi::metadata::cli::SourceTypes::Info::SetAddress | ( | global::System.Uri | address | ) | `[inline]`

Connection information for the remote server.

This should be in the format http(s)://IP:port/namespace.

The remote server must contain the interfaces in the vmware.vapi.metadata.cli namespace. It must expose CLI information of one or more components.

void vmware::vapi::metadata::cli::SourceTypes::Info::SetDescription | ( | string | description | ) | `[inline]`

English language human readable description of the source.

void vmware::vapi::metadata::cli::SourceTypes::Info::SetFilepath | ( | string | filepath | ) | `[inline]`

Absolute file path of the CLI metadata file that has the CLI information about one component.

The `filepath` is the path to the file in the server's filesystem.

void vmware::vapi::metadata::cli::SourceTypes::Info::SetType | ( | vmware.vapi.metadata.SourceType | type | ) | `[inline]`

The type ( FILE, REMOTE) of the metadata source.

override string vmware::vapi::metadata::cli::SourceTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- cli/SourceTypes.cs